﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="ReportViewer._Default" %>

<%@ Register assembly="Microsoft.ReportViewer.WebForms, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" namespace="Microsoft.Reporting.WebForms" tagprefix="rsweb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>ThaiCreate.Com</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:Label ID="lblCustomerID" runat="server" Text="CustomerID :"></asp:Label>
&nbsp;<asp:TextBox ID="txtCustomerID" runat="server"></asp:TextBox>
&nbsp;<asp:Button ID="btnShow" runat="server" Text="Show Report" />
        <br />
        <br />
        <rsweb:ReportViewer ID="ReportViewer1" runat="server" Height="224px" 
            Width="510px" Font-Names="Verdana" Font-Size="8pt">
            <LocalReport ReportPath="myReport.rdlc">
                <DataSources>
                    <rsweb:ReportDataSource DataSourceId="ObjectDataSource1" 
                        Name="myDataSet_customer" />
                </DataSources>
            </LocalReport>
        </rsweb:ReportViewer>
    
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            DeleteMethod="Delete" InsertMethod="Insert" 
            OldValuesParameterFormatString="original_{0}" 
            SelectMethod="GetDataByCustomerID" 
            TypeName="ReportViewer.myDataSetTableAdapters.customerTableAdapter" 
            UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_CustomerID" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="CountryCode" Type="String" />
                <asp:Parameter Name="Budget" Type="Double" />
                <asp:Parameter Name="Used" Type="Double" />
                <asp:Parameter Name="Original_CustomerID" Type="String" />
            </UpdateParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtCustomerID" Name="sCustomerID" 
                    PropertyName="Text" Type="String" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="CustomerID" Type="String" />
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="CountryCode" Type="String" />
                <asp:Parameter Name="Budget" Type="Double" />
                <asp:Parameter Name="Used" Type="Double" />
            </InsertParameters>
        </asp:ObjectDataSource>
    
    </div>
    </form>
</body>
</html>
